org.eclipse.osgi.service.resolver

## Interface ExportPackageDescription

All Superinterfaces:
  BaseDescription

    public interface ExportPackageDescription
    extends BaseDescription

This class represents a specific version of an exported package in the system.

This interface is not intended to be implemented by clients. The `StateObjectFactory` should be used to construct instances.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Map<String,Object>` `getAttributes()` Returns the arbitrary attributes for this package.
`Object` `getDirective(String key)` Returns the specified directive for this package.
`Map<String,Object>` `getDirectives()` Returns the directives for this package.
`BundleDescription` `getExporter()` Returns the exporter of this package.
`boolean` `isRoot()` Deprecated. all export package descriptions are roots. The Reexport-Package header never became API.

### Methods inherited from interface org.eclipse.osgi.service.resolver.BaseDescription

`getCapability, getDeclaredAttributes, getDeclaredDirectives, getName, getSupplier, getUserObject, getVersion, setUserObject`

### Method Detail

#### isRoot

    boolean isRoot()

Deprecated. all export package descriptions are roots. The Reexport-Package header never became API.
Returns true if the export package is a root package; false otherwise. A ExportPackageDescription is not a root package the exporting bundle is re-exporting the package using the Reexport-Package header.

Returns:
  true if the export package is a root package; false otherwise

#### getAttributes

    Map<String,Object> getAttributes()

Returns the arbitrary attributes for this package.

Returns:
  the arbitrary attributes for this package

#### getDirectives

    Map<String,Object> getDirectives()

Returns the directives for this package.

Returns:
  the directives for this package

#### getDirective

    Object getDirective(String key)

Returns the specified directive for this package.

Parameters:
  `key` - the directive to fetch
Returns:
  the specified directive for this package

#### getExporter

    BundleDescription getExporter()

Returns the exporter of this package.

Returns:
  the exporter of this package.